DF(1)

NAME
df - display free disk space

SYNOPSIS
df [-hiklnP] [-t type] [ [file | file_system] ...]

DESCRIPTION
The df utility displays statistics about the amount of free disk space on the specified file_system or on the file system of which file is a part. By default, values are displayed as 512-byte block counts. If no operands are specified, statistics for all mounted file systems are displayed (subject to the -l and -t options, below).

The options are as follows:

-h  "Human-readable" output. Use unit suffixes: Byte, Kilobyte, Megabyte, Gigabyte, Terabyte, Petabyte, Exabyte in order to reduce the number of digits to four or less. This option is incompatible with the -P option.

-i  Include statistics on the number of free inodes. This option is incompatible with the -P option.

-k  By default, all sizes are reported in 512-byte block counts. The -k option causes the numbers to be reported in kilobyte counts.

-l  Display statistics only about mounted file systems with the MNT_LOCAL flag set. If a non-local file system is given as an argument, a warning is issued and no information is given on that file system.

-n  Print out the previously obtained statistics from the file systems. This option should be used if it is possible that one or more file systems are in a state such that they will not be able to provide statistics without a long delay. When this option is specified, df will not request new statistics from the file systems, but will respond with the possibly stale statistics that were previously obtained.

-P  Print out information in a stricter format designed to be parsed by portable scripts.

-t type
    Indicate the actions should only be taken on file systems of the specified type. More than one type may be specified in a comma-separated list. The list of file system types can be prefixed with “no” to specify the file system types for which action should not be taken. If a file system is given on the command line that is not of the specified type, a warning is issued and no information is given on that file system.

It is not an error to specify more than one of the mutually exclusive options -h and -k. Where more than one of these options is specified, the last option given overrides the others.

ENVIRONMENT

BLOCKSIZE
    If the environment variable BLOCKSIZE is set, and the -h or -k options are not specified, the block counts will be displayed in units of that size block.

EXIT STATUS

EXAMPLES
Output, in a strict format suitable for portable scripts, disk space statistics for the /usr file system using kilobyte block sizes:

    $ df -kP /usr

SEE ALSO
quota(1), getfsstat(2), statfs(2), getmntinfo(3), fstab(5), mount(8), quot(8)

STANDARDS
The df utility is compliant with the p1003.1-2008 specification.

The flags [-hiln], as well as the BLOCKSIZE environment variable, are extensions to that specification.

This implementation provides the traditional BSD -t behaviour, which differs from the X/Open System Interfaces option specification.

HISTORY
A df utility appeared in AT&T UNIX.